Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.foundation.base
Class DomainStatistics

    java.lang.Object
      devisor2.foundation.base.BasicDomain
          devisor2.foundation.base.DomainStatistics

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DomainIO

public abstract class DomainStatistics
extends BasicDomain

This class is an extended version of the original BasicDomain class which additionally provides support for giving statistics about the domain. For convenience, the all-important methods returns a completely formatted String which just has to be passed to the displaying GUI dialog.
See the MainActionListener for a description of how this class is used in contrast to the original Domain class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class devisor2.foundation.base.BasicDomain
`BasicDomain.DPoint`

Field Summary

Fields inherited from class devisor2.foundation.base.BasicDomain
`BoundaryEdgeCount, BoundaryNodeCount, cc, cells, CellValueCount, changed, db, domainfileformat, domainfilename, ecke1, edges, FEAST, FEAT, name, nodes, NodeValueCount, perimeter, UCD, validpx, validpy`

Constructor Summary
`DomainStatistics()`

Method Summary
`java.lang.String` | `getStatistics()` the all-important method :-)
`void` | `printCellVector()`
`void` | `printDomain()` prints out the whole domain without boundary
`void` | `printEdgeVector()`
`void` | `printNodeVector()`

Methods inherited from class devisor2.foundation.base.BasicDomain
`add, addCell, addEdge, addNode, adjustEdge, adjustEdge, adjustNode, centerDomain, centerDomain, centerDomain, construct_boundary, del, delCell, delEdge, delNode, draw, drawGrid, getBoundaryEdgeCount, getBoundaryNodeCount, getCell, getCellCount, getCells, getEdge, getEdgeCount, getEdgeForNode, getEdges, getFileformat, getFilename, getMaxParallelBlock, getName, getNearestCells, getNode, getNodeCount, getNodes, getNodeWithSameCoords, getParallelBlockCenter, getPerimeter, getPerimeter, hasChanged, isFeastable, rectifyElement, resetCellMarkers, resetEdgeMarkers, resetNodeMarkers, searchEdge, setDomainPerimeter, setName, updateAll, updateCellNeighbours, updateCellNodes, updateCellNumbers, updateEdgeNumbers, updateNodeNumbers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainStatistics

    public DomainStatistics()

Method Detail

### getStatistics

    public java.lang.String getStatistics()

  the all-important method :-)

### printDomain

    public void printDomain()

  prints out the whole domain without boundary

### printNodeVector

    public void printNodeVector()

### printEdgeVector

    public void printEdgeVector()

### printCellVector

    public void printCellVector()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD